#!/usr/bin/env python3

from os.path import expanduser
import json


def _users():
	result = {}
	try:
		with open(expanduser("~/dev/mm-archiver/data/users.json"), encoding="utf-8") as fh:
			for line in fh:
				user = json.loads(line)
				result[user["id"]] = user
		return result
	except FileNotFoundError:
		return None


USERS = _users()
